<?xml version="1.0" encoding="utf-8"?>
<Document>
  <Engineering version="V20" />
  <SW.Types.PlcStruct ID="0">
    <AttributeList>
      <Interface><Sections xmlns="http://www.siemens.com/automation/Openness/SW/Interface/v5">
  <Section Name="None">
    <Member Name="sIDString" Datatype="String">
      <Comment>
        <MultiLanguageText Lang="de-DE">Wenn es eine Telegramm-ID gibt, wird sie hier angezeigt (not implemented)</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="nID" Datatype="DInt">
      <Comment>
        <MultiLanguageText Lang="de-DE">Telegramm-ID als Nummer, wenn diese in der Telegramm-Definition vorgesehen wurde (not implemented)</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="xCRC32ValidationResult" Datatype="Bool">
      <Comment>
        <MultiLanguageText Lang="de-DE">Wenn eine Validierung mit CRC32 im Telegramm implementiert ist, dann steht hier das Ergebnis (TRUE = erfolgreich, FALSE = nicht erfolgreich/ nicht definiert)</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="arDataString" Datatype="Array[1..&quot;TELEGRAM_DATA_MAX&quot;] of String[&quot;TELEGRAM_DATA_FIELD_MAX&quot;]">
      <Comment>
        <MultiLanguageText Lang="de-DE">Die Telegrammdaten als Array of String. Jeder String entspricht einem Datenfeld.</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="nDataCount" Datatype="DInt">
      <Comment>
        <MultiLanguageText Lang="de-DE">Anzahl der Datenfelder. </MultiLanguageText>
      </Comment>
      <StartValue>1</StartValue>
    </Member>
  </Section>
</Sections></Interface>
      <Name>UDT_TelegramData</Name>
      <Namespace />
    </AttributeList>
    <ObjectList>
      <MultilingualText ID="1" CompositionName="Comment">
        <ObjectList>
          <MultilingualTextItem ID="2" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
      <MultilingualText ID="3" CompositionName="Title">
        <ObjectList>
          <MultilingualTextItem ID="4" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
    </ObjectList>
  </SW.Types.PlcStruct>
</Document>